<?php

get_header(); ?>

<!-- page title -->
<?php app7_page_title(); ?>

<div class="contact-us-content">
    <div class="container">
    	<div class="row">
    		<div class="col-md-6 col-md-offset-3">
    			<div class="error-text text-center">
		            <div class="error-404 base-color">
		                <?php print esc_html__( '404', 'app7' ) ?>
		            </div>
		            <p>
		            	<?php print esc_html__( 'Oops! That page can\'t be found. It looks like nothing was found at this location. Maybe try a search?', 'app7' ) ?>
		            </p>
		            <div class="two-buttons">
		                <a href="<?php print esc_url(home_url('/')); ?>" class="app-button"><span><?php print esc_html__('Back to hompage', 'app7') ?></span></a>
		            </div>
		        </div>
    		</div>
    	</div>
    </div>
</div>


<?php get_footer();