<?php
/**
 * The template for displaying all Blog posts
 *
 * @package WordPress
 * @subpackage App7
 * @since 1.0
 * @version 1.0
 */

get_header(); ?>

<?php app7_page_title(); ?>

<div class="main-blog-section default-padding">
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-md-8 col-sm-12">
                <?php 
                    if(have_posts()) : 
                        while(have_posts()) : the_post();
                            get_template_part( 'template-parts/content', get_post_format() );
                        endwhile;
                        the_posts_pagination(array(
                            'prev_text'             => esc_html__('&laquo;', 'app7'),
                            'next_text'             => esc_html__('&raquo;', 'app7'),
                            'mid_size'              => 2,
                            'screen_reader_text'    => ' '
                        ));
                    else:
                        get_template_part( 'template-parts/content', 'none' );
                    endif;
                ?>
            </div>
            <div class="col-lg-3 col-lg-offset-1 col-md-4 col-sm-12">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</div>

<?php get_footer(); ?>   

