 ;(function($){

  "use strict";

     jQuery(window).on('load', function() { // makes sure the whole site is loaded 
        jQuery('#preloader').delay(350).fadeOut('slow'); // will fade out the white DIV that covers the website. 
        jQuery('.preloader-wrap').delay(350).css({'display':'none'});
      });

    /*
    |----------------------------------------------------------------------------
    | STICKY NAVBAR
    |----------------------------------------------------------------------------
    */
    jQuery(".navbar-fixed-top").headroom({
        "offset": 150,
        "tolerance": 5,
        "classes": {
            "initial": "animated",
            "pinned": "slideDown",
            "unpinned": "slideUp"
        }
    });

    jQuery('#appnav-collapse .nav a').on('click',function(){
        if($('.navbar-header .navbar-toggle').css('display') !='none'){
            $(".navbar-toggle").trigger( "click" );
        }
    });

    jQuery('.navbar').onePageNav({
        scrollThreshold: 0.2, // Adjust if Navigation highlights too early or too late
        scrollOffset: 150 //Height of Navigation Bar
    });
  
 
    
    jQuery(window).scroll(function() {
        var $scrollHeight = $(window).scrollTop();
        if ($scrollHeight > 600) {
            $('.navbar-default.fixed-nav').slideDown(400);
        } else{
            $('.navbar-default.fixed-nav').slideUp(100);
        }
    });


    
    /* -------------------------------------------------------------
      Variables
    ------------------------------------------------------------- */
    var leftArrow = '<i class="fa fa-chevron-left"></i>';
    var rightArrow = '<i class="fa fa-chevron-right"></i>';

    /* -------------------------------------------------------------
      Testimonial Slider
    ------------------------------------------------------------- */
    if (jQuery('.testimonial-slider').length){
        $('.testimonial-slider').owlCarousel({
            loop: true,
            autoplay: true,
            autoplayTimeout: 5000,
            nav: true,
            dots: false,
            items: 1,
            navText: [leftArrow, rightArrow],
        });
    }

    /* -------------------------------------------------------------
        Client-slider
    ------------------------------------------------------------- */
    if ($('.client-slider').length){
        $('.client-slider').owlCarousel({
            loop: true,
            autoplay: true,
            autoplayTimeout: 5000,
            nav: false,
            dots: true,
            items: 1,
            responsive:{
                0:{
                    items:1
                },
                992:{
                    items:2
                }
            }
        });
    }

    /* -------------------------------------------------------------
        Fact Counter
    ------------------------------------------------------------- */
    if ( jQuery('.fact-count').length){
        $('.fact-count').counterUp({
            delay: 10,
            time: 1000
        });
    }

    /*==========================================================
      WOW
    ==========================================================*/
    var wow = new WOW(
    {
      mobile: false
    });
    wow.init();
    
    /* -------------------------------------------------------------
        MAGNIFIC JS
    ------------------------------------------------------------- */
    jQuery('.play-video').magnificPopup({
      type: 'iframe'
    });
    
    jQuery.extend(true, $.magnificPopup.defaults, {
      iframe: {
        patterns: {
          youtube: {
            index: 'youtube.com/', 
            id: 'v=', 
            src: 'http://www.youtube.com/embed/%id%?autoplay=1' 
          }
        }
      }
    });


  /* -------------------------------------------------------------
    Phone Slider
  ------------------------------------------------------------- */           
   var swiper = new Swiper('.swiper-container', {
        mode:'horizontal',
        loop: true,
        speed: 950,
      effect: 'coverflow',
      grabCursor: true,
      centeredSlides: true,
      slidesPerView: 'auto',
      nextButton: '.arrow-right',
      prevButton: '.arrow-left',
      coverflowEffect: {
        rotate: -10,
          stretch: 15,
          depth: 120,
          modifier: 1,
        slideShadows : false,
      },
      pagination: {
        el: '.swiper-pagination',
      },
      // Navigation arrows
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev',
        },
    });

        

        

}(jQuery));