<?php
/**
 * The template for displaying all single posts
 *
 * @package WordPress
 * @subpackage App7
 * @since 1.0
 * @version 1.0
 */

get_header(); ?>

<?php app7_page_title(); ?>

<div class="main-blog-section default-padding">
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-md-8 col-sm-12">
                <?php 
                    if(have_posts()) : 
                        while(have_posts()) : the_post();
                            get_template_part( 'template-parts/content', get_post_format() );
                        endwhile;
                        the_post_navigation( array(
                            'prev_text'          => esc_html__( 'Previous Post', 'app7' ),
                            'next_text'          => esc_html__( 'Next Post', 'app7' ),
                            'screen_reader_text' => ' ',
                        ) );
                         if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                    else:
                        get_template_part( 'template-parts/content', 'none' );
                    endif;
                ?>
            </div>
            <div class="col-lg-3 col-lg-offset-1 col-md-4 col-sm-12">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</div>

<?php get_footer(); ?> 

