<?php 
/**
 * Template for displaying search forms in Twenty Seventeen
 *
 * @package WordPress
 * @subpackage App7
 * @since 1.0
 * @version 1.0
 */
$unique_id = esc_attr( uniqid( 'search-form-' ) ); ?>
<form role="search" method="get" class="search-form" action="<?php print esc_url( home_url( '/' ) ); ?>">
	<input type="search" class="search-field" placeholder="<?php print esc_html__( 'Search&hellip;', 'app7' ); ?>" value="<?php print get_search_query(); ?>" name="s" />
	<button type="submit" class="search-submit"><i class="fa fa-search"></i></button>
</form> 